import { AfterViewInit, Component, ElementRef, OnInit, ViewChild, ViewEncapsulation } from '@angular/core';
import { ServicesComponent } from '../services/services.component';
import { Service, WidjetService } from '../services/widjet.service';
import { CommonModule } from '@angular/common';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-layout-widjet',
  standalone: true,
  imports: [CommonModule, ServicesComponent],
  templateUrl: './layout-widjet.component.html',
  styleUrls: ['./layout-widjet.component.css'],
  encapsulation: ViewEncapsulation.None
})
export class LayoutWidjetComponent implements OnInit {
  @ViewChild('rowWidjet', { static: false }) rowWidjet?: ElementRef;
  appName = ""
  token = ""
  companyId = ""
  widjetId = 0
  widgetList: Service[] = []
  constructor(private widjetService: WidjetService, private readonly activatedRoute: ActivatedRoute) {
    this.activatedRoute.paramMap.subscribe(result => {
      this.appName = result.get('appName')!
      this.companyId = result.get('companyId')!
      this.token = result.get('token')!
      sessionStorage.setItem("token", this.token)
      this.widgetList = this.widjetService.widjetConfig.filter(e => e.appName == this.appName)[0].widjet
    })

  }

  ngAfterViewChecked(): void {
    const rowWidjet = this.rowWidjet!.nativeElement;
    const message = { type: 'greeting', text: rowWidjet.offsetHeight };
    window.parent.postMessage(message, '*');
  }

  ngOnInit() {
  }


}
