import {
  ConsultancyComponent,
  SoftwareEngineeringComponent,
  StatisticComponent,
  TrainingsComponent,
} from './components';
import { Type } from '@angular/core';
import { ServiceTypes } from './services/widjet.service';
import { TimestampWidgetComponent } from './widjets/zeeme/timestamp-widget/timestamp-widget.component';

export type ServiceComponentType = ConsultancyComponent
  | TrainingsComponent
  | SoftwareEngineeringComponent | StatisticComponent | TimestampWidgetComponent;

export const servicesComponentFactory:
  Record<ServiceTypes, Type<ServiceComponentType>>
  = {
  [ServiceTypes.consultancy]: ConsultancyComponent,
  [ServiceTypes.trainings]: TrainingsComponent,
  [ServiceTypes.engineering]: SoftwareEngineeringComponent,
  [ServiceTypes.statistic]: StatisticComponent,
  [ServiceTypes.timestamp]: TimestampWidgetComponent,

};
