import { Injectable } from '@angular/core';

export interface AppWidjet {
  appId: number;
  appName: string;
  widjet: Service[]
}


export interface Service {
  id: number;
  title: string;
  description: string;
  dataModel: any;
  dataSoure: any;
  api: string;
  width: number;
  heigth: string;
  tag: string;
}

export enum ServiceTypes {
  consultancy, // 0
  trainings, // 1
  engineering, // 2
  statistic, //3,
  timestamp,
}
@Injectable({
  providedIn: 'root'
})
export class WidjetService {
  widjetConfig: AppWidjet[] = [{
    "appId": 0,
    "appName": "Zeeme",
    "widjet": [
      {
        id: 0,
        title: "11111",
        description: "111",
        dataModel: "ss",
        dataSoure: "",
        api: "",
        width: 12,
        heigth: "",
        tag: ""
      },
      {
        id: 1,
        title: "222",
        description: "222",
        dataModel: "ss",
        dataSoure: "",
        api: "",
        width: 12,
        heigth: "",
        tag: ""
      },
      {
        id: 2,
        title: "3333",
        description: "33333",
        dataModel: "ss",
        dataSoure: "",
        api: "select data",
        width: 12,
        heigth: "",
        tag: ""
      },
      {
        id: 3,
        title: "4444",
        description: "4444",
        dataModel: "4444",
        dataSoure: "",
        api: "https://hrplus.myhr.co.th/hr/taapi/leave/statistic?yearId=2024",
        width: 12,
        heigth: "",
        tag: ""
      },
      {
        id: 3,
        title: "4444",
        description: "4444",
        dataModel: "4444",
        dataSoure: "",
        api: "https://hrplus.myhr.co.th/hr/taapi/leave/statistic?yearId=2024",
        width: 12,
        heigth: "",
        tag: ""
      },
      {
        id: 3,
        title: "4444",
        description: "4444",
        dataModel: "4444",
        dataSoure: "",
        api: "https://hrplus.myhr.co.th/hr/taapi/leave/statistic?yearId=2024",
        width: 12,
        heigth: "",
        tag: ""
      },
      {
        id: 4,
        title: "Timestamp log",
        description: "4444",
        dataModel: "4444",
        dataSoure: "",
        api: "https://zeeme.myhr.co.th/ZeemeApi/rest/timestamp/empfull-between-date/${companyId}/${memberId}/2024-07-23/2024-07-23",
        width: 12,
        heigth: "",
        tag: ""
      }
    ]
  }, {
    "appId": 1,
    "appName": "myhrlite",
    "widjet": [
      {
        "id": 0,
        "title": "11111",
        "description": "111",
        "dataModel": {
          "xAxis": {
            "type": "category",
            "data": [
              "Mon",
              "Tue",
              "Wed",
              "Thu",
              "Fri",
              "Sat",
              "Sun"
            ]
          },
          "yAxis": {
            "type": "value"
          },
          "series": [
            {
              "data": [
                820,
                932,
                901,
                934,
                1290,
                1330,
                1320
              ],
              "type": "line"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 2,
        "title": "3333",
        "description": "33333",
        "dataModel": {
          "legend": {},
          "tooltip": {},
          "dataset": {
            "dimensions": [
              "product",
              "2015",
              "2016",
              "2017"
            ],
            "source": [
              {
                "2015": 43.3,
                "2016": 85.8,
                "2017": 93.7,
                "product": "Matcha Latte"
              },
              {
                "2015": 83.1,
                "2016": 73.4,
                "2017": 55.1,
                "product": "Milk Tea"
              },
              {
                "2015": 86.4,
                "2016": 65.2,
                "2017": 82.5,
                "product": "Cheese Cocoa"
              },
              {
                "2015": 72.4,
                "2016": 53.9,
                "2017": 39.1,
                "product": "Walnut Brownie"
              }
            ]
          },
          "xAxis": {
            "type": "category"
          },
          "yAxis": {},
          "series": [
            {
              "type": "bar"
            },
            {
              "type": "bar"
            },
            {
              "type": "bar"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "select data",
        "width": 3,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 1,
        "title": "222",
        "description": "222",
        "dataModel": {
          "legend": {},
          "tooltip": {},
          "dataset": {
            "source": [
              [
                "product",
                "2012",
                "2013",
                "2014",
                "2015",
                "2016",
                "2017"
              ],
              [
                "Milk Tea",
                86.5,
                92.1,
                85.7,
                83.1,
                73.4,
                55.1
              ],
              [
                "Matcha Latte",
                41.1,
                30.4,
                65.1,
                53.3,
                83.8,
                98.7
              ],
              [
                "Cheese Cocoa",
                24.1,
                67.2,
                79.5,
                86.4,
                65.2,
                82.5
              ],
              [
                "Walnut Brownie",
                55.2,
                67.1,
                69.2,
                72.4,
                53.9,
                39.1
              ]
            ]
          },
          "series": [
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "25%",
                "30%"
              ]
            },
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "75%",
                "30%"
              ],
              "encode": {
                "itemName": "product",
                "value": "2013"
              }
            },
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "25%",
                "75%"
              ],
              "encode": {
                "itemName": "product",
                "value": "2014"
              }
            },
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "75%",
                "75%"
              ],
              "encode": {
                "itemName": "product",
                "value": "2015"
              }
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      }
    ]
  }, {
    "appId": 7,
    "appName": "test",
    "widjet": [
      {
        "id": 0,
        "title": "11111",
        "description": "111",
        "dataModel": {
          "xAxis": {
            "type": "category",
            "data": [
              "Mon",
              "Tue",
              "Wed",
              "Thu",
              "Fri",
              "Sat",
              "Sun"
            ]
          },
          "yAxis": {
            "type": "value"
          },
          "series": [
            {
              "data": [
                820,
                932,
                901,
                934,
                1290,
                1330,
                1320
              ],
              "type": "line"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 1,
        "title": "222",
        "description": "222",
        "dataModel": {
          "legend": {},
          "tooltip": {},
          "dataset": {
            "source": [
              [
                "product",
                "2012",
                "2013",
                "2014",
                "2015",
                "2016",
                "2017"
              ],
              [
                "Milk Tea",
                86.5,
                92.1,
                85.7,
                83.1,
                73.4,
                55.1
              ],
              [
                "Matcha Latte",
                41.1,
                30.4,
                65.1,
                53.3,
                83.8,
                98.7
              ],
              [
                "Cheese Cocoa",
                24.1,
                67.2,
                79.5,
                86.4,
                65.2,
                82.5
              ],
              [
                "Walnut Brownie",
                55.2,
                67.1,
                69.2,
                72.4,
                53.9,
                39.1
              ]
            ]
          },
          "series": [
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "25%",
                "30%"
              ]
            },
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "75%",
                "30%"
              ],
              "encode": {
                "itemName": "product",
                "value": "2013"
              }
            },
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "25%",
                "75%"
              ],
              "encode": {
                "itemName": "product",
                "value": "2014"
              }
            },
            {
              "type": "pie",
              "radius": "20%",
              "center": [
                "75%",
                "75%"
              ],
              "encode": {
                "itemName": "product",
                "value": "2015"
              }
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 3,
        "title": "4444",
        "description": "4444",
        "dataModel": {
          "legend": {},
          "tooltip": {},
          "dataset": {
            "dimensions": [
              "product",
              "2015",
              "2016",
              "2017"
            ],
            "source": [
              {
                "2015": 43.3,
                "2016": 85.8,
                "2017": 93.7,
                "product": "Matcha Latte"
              },
              {
                "2015": 83.1,
                "2016": 73.4,
                "2017": 55.1,
                "product": "Milk Tea"
              },
              {
                "2015": 86.4,
                "2016": 65.2,
                "2017": 82.5,
                "product": "Cheese Cocoa"
              },
              {
                "2015": 72.4,
                "2016": 53.9,
                "2017": 39.1,
                "product": "Walnut Brownie"
              }
            ]
          },
          "xAxis": {
            "type": "category"
          },
          "yAxis": {},
          "series": [
            {
              "type": "bar"
            },
            {
              "type": "bar"
            },
            {
              "type": "bar"
            }
          ]
        },
        "dataSoure": "2312",
        "api": "https://hrplus.myhr.co.th/hr/taapi/leave/statistic?yearId=2024",
        "width": 3,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 3,
        "title": "4444",
        "description": "4444",
        "dataModel": "4444",
        "dataSoure": "2312",
        "api": "https://hrplus.myhr.co.th/hr/taapi/leave/statistic?yearId=2024",
        "width": 3,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 0,
        "title": "11111",
        "description": "111",
        "dataModel": {
          "xAxis": {
            "type": "category",
            "data": [
              "Mon",
              "Tue",
              "Wed",
              "Thu",
              "Fri",
              "Sat",
              "Sun"
            ]
          },
          "yAxis": {
            "type": "value"
          },
          "series": [
            {
              "data": [
                820,
                932,
                901,
                934,
                1290,
                1330,
                1320
              ],
              "type": "line"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 0,
        "title": "11111",
        "description": "111",
        "dataModel": {
          "xAxis": {
            "type": "category",
            "data": [
              "Mon",
              "Tue",
              "Wed",
              "Thu",
              "Fri",
              "Sat",
              "Sun"
            ]
          },
          "yAxis": {
            "type": "value"
          },
          "series": [
            {
              "data": [
                820,
                932,
                901,
                934,
                1290,
                1330,
                1320
              ],
              "type": "line"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 0,
        "title": "11111",
        "description": "111",
        "dataModel": {
          "xAxis": {
            "type": "category",
            "data": [
              "Mon",
              "Tue",
              "Wed",
              "Thu",
              "Fri",
              "Sat",
              "Sun"
            ]
          },
          "yAxis": {
            "type": "value"
          },
          "series": [
            {
              "data": [
                820,
                932,
                901,
                934,
                1290,
                1330,
                1320
              ],
              "type": "line"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      }, {
        "id": 0,
        "title": "11111",
        "description": "111",
        "dataModel": {
          "xAxis": {
            "type": "category",
            "data": [
              "Mon",
              "Tue",
              "Wed",
              "Thu",
              "Fri",
              "Sat",
              "Sun"
            ]
          },
          "yAxis": {
            "type": "value"
          },
          "series": [
            {
              "data": [
                820,
                932,
                901,
                934,
                1290,
                1330,
                1320
              ],
              "type": "line"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      },
      {
        "id": 0,
        "title": "11111",
        "description": "111",
        "dataModel": {
          "xAxis": {
            "type": "category",
            "data": [
              "Mon",
              "Tue",
              "Wed",
              "Thu",
              "Fri",
              "Sat",
              "Sun"
            ]
          },
          "yAxis": {
            "type": "value"
          },
          "series": [
            {
              "data": [
                820,
                932,
                901,
                934,
                1290,
                1330,
                1320
              ],
              "type": "line"
            }
          ]
        },
        "dataSoure": "sss",
        "api": "",
        "width": 6,
        "heigth": "",
        "tag": ""
      }
    ]
  }];

  widjetList: Service[] = [{
    id: 0,
    title: "11111",
    description: "111",
    dataModel: "ss",
    dataSoure: "",
    api: "",
    width: 6,
    heigth: "",
    tag: ""
  },
  {
    id: 1,
    title: "222",
    description: "222",
    dataModel: "ss",
    dataSoure: "",
    api: "",
    width: 6,
    heigth: "",
    tag: ""
  },
  {
    id: 2,
    title: "3333",
    description: "33333",
    dataModel: "ss",
    dataSoure: "",
    api: "select data",
    width: 3,
    heigth: "",
    tag: ""
  },
  {
    id: 3,
    title: "4444",
    description: "4444",
    dataModel: "4444",
    dataSoure: "",
    api: "https://hrplus.myhr.co.th/hr/taapi/leave/statistic?yearId=2024",
    width: 3,
    heigth: "",
    tag: ""
  },
  {
    id: 4,
    title: "Timestamp log",
    description: "4444",
    dataModel: "4444",
    dataSoure: "",
    api: "https://zeeme.myhr.co.th/ZeemeApi/rest/timestamp/empfull-between-date/${companyId}/${memberId}/2024-07-24/2024-07-24",
    width: 12,
    heigth: "",
    tag: ""
  }]
  constructor() { }

}
